# Getting started

Follow the quickstart below, or view the more [detailed installation
documentation](https://stumpf.kitware.com/docs/installation.html).

# Quickstart

## Requirements
- postgres
- python >= 3.6
- pip
- node >= 8
- yarn

## Setup
```shell
cp .env.example .env
python3 -m venv env/
. ./env/bin/activate
pip install -e .
stumpf-create-tables
flask run
```

To test the API run the following in a new terminal. Note that you will need an
authentication token. By default, a token is autogenerated on server start and
displayed in the output of `flask run`.

```shell
curl -H "X-Stumpf-Token:<TOKEN>" http://localhost:5000/api/v1/user/me
```

This will return a json object containing info about the newly created user.

## Setup (Docker)
```shell
docker-compose up
```
Spins up six docker containers for the Flask backend, postgres, redis, celery beat, and two celery workers. The Flask backend is served using gunicorn and can be accessed at `http://localhost:5000`.
